###############################################################
#
# Configuration file for the LiveCD build scripts
# 
# This file will be sourced
#
# Urs Beyerle
#
###############################################################

# KERNEL = Kernel version of the LiveCD. 
# Change it to "2.6.9-42.0.3.EL" for example, if you are 
# building the LiveCD with a different kernel than the one 
# you are actually running
# 
# if the SMP version of the $KERNEL is installed, 
# it will be also included in the LiveCD
#KERNEL="`uname -r`"
#KERNEL=2.6.9-42.0.3.EL
KERNEL=2.6.18-92.1.10.el5

# Define the $OS_RELEASE: 
#  for SL4, RHEL4, CentOS4 -> OS_RELEASE=4
#  for SL5, RHEL5, CentOS5 -> OS_RELEASE=5
OS_RELEASE=5

# Define LiveCD OS string (can be anything you like)
LIVECD_OS="SL52"

# Name of the default changes folder
#CHANGESFOLDER=changes
CHANGESFOLDER=${LIVECD_OS}changes 

# Name of initrd image (do not change this)
INITRDIMG=initrd

# Define blocksize of initrd
INITRD_BLOCKSIZE=1024
[ "$OS_RELEASE" = "5" ] && INITRD_BLOCKSIZE=4096

# Compressed directories (img) will be stored here
# (the whole folder will be erased in advanced!)
CDDATA=/tmp/live_data_$$

# Define default runlevel for your LiveCD
RUNLEVEL=5

# Name of local user
LOCALUSER=sluser

# Default hostname
DEFAULT_HOSTNAME=slinux

# The size of the RAM disk (in KBytes)
# normally you do not have to change this
RAM0SIZE=10000

# To be save, we use RAM0SIZE * 5 for ramdisk_size boot option
RAMDISK_SIZE=$(( $RAM0SIZE * 5 ))

# Define default boot options
# normally you do not have to change this
BOOT_OPTIONS="max_loop=32 ramdisk_size=$RAMDISK_SIZE root=/dev/ram0 rw rhgb"

# Add vga=791 for SL4
[ "$OS_RELEASE" = "4" ] && BOOT_OPTIONS="$BOOT_OPTIONS vga=791"

# Define extra boot parameters, for example: pw=mypassword kb=us
# for more, see http://linux.web.psi.ch/livecd/parameter.html
#EXTRA_BOOT_OPTIONS="nopasswd kb=sg-latin1"
EXTRA_BOOT_OPTIONS=""

# Define failsafe boot option
# used if you boot with label "failsafe"
FAILSAFE_BOOT_OPTIONS="nonet simplex apm=off acpi=off noapic nofstab"

# Define default desktop windows manager and default login manager
# (will be put in /etc/sysconfig/desktop)
#DESKTOP=KDE
#DISPLAYMANAGER=GNOME

# Services which are off (not running) on the LiveCD
SERVICES_OFF="microcode_ctl cups yum xinetd afs rhnsd nfslock ip6tables \
              mdmonitor mdmpd hpoj sendmail sshd portmap snmptrapd \
              snmpd smartd cups-config-daemon sysstat lm_sensors exim \
              ntpd httpd irqbalance firstboot clamd yum-updatesd kdump \
              auditd rpcidmapd autofs ricci modclusterd xend xendomains"

# Services which are on (running) on the LiveCD
[ "$OS_RELEASE" = "4" ] && SERVICES_ON="apmd acpid pcmcia haldaemon autofs"
[ "$OS_RELEASE" = "5" ] && SERVICES_ON="apmd acpid pcmcia haldaemon \
                                        NetworkManager NetworkManagerDispatcher"

# Most probably the LiveCD will not boot with SELinux enabled !  
# SELinux can also be disabled with boot parameter "enforcing=0"
SELINUX=disabled
#BOOT_OPTIONS="$BOOT_OPTIONS enforcing=0"

# Set the root password after building the LiveCD
# (done in restore-system.sh)
#SET_ROOTPWD=yes

# LiveCD Label (can be anything you like)
CDLABEL="${LIVECD_OS}LIVECD"
